### 选择模板通用组件
针对一信通平台选择模板的通用组件

#### 安装
```javascript
npm i --save flag-ui-templatechoose
```
#### 依赖
```text
 1. vue
 2. element-ui
 3. vue的prototype上需要注入$http(axios)提供接口调用
```

#### 使用说明

#### 引入
```ecmascript 6
import templateChoose from 'flag-ui-templatechoose'
```
#### 组件概况


#### 组件参数说明
|传入参数         | 类型   |是否必填|默认      | 说明                                         |
|:-------------------|:-------|:-----:|:------:|:----------------------------------------|
|`params`            |Object  |是     |--- |传入模板接口url                 |

------------------------------

#### 详细参数说明
```javascript
{
	//基本信息
	params: {
		sceneUrl:'场景分类',
		collectUrl:'我收藏的',
		recentUrl:'最近使用',
		templateUrl:'我创建的和模板库'
	}
}

```


#### 传出参数说明

|参数            | 类型   | 是否必填    |默认      | 说明              |
|:-------------:|:-------|:-----------|:--------|:------------------|
|v-model        |Object  |是          |{}       |双向绑定传出内容对象  |

-----------------------
```javascript
	{
		id:'模板id',
		text:'内容',
		name:'模板名称'
	}

```
#### 事例
```html
<template>
	<div>
		<template-choose v-model="ctx"  :params="params"></template-choose>
	</div>
</template>
<script>
	import templateChoose from 'flag-ui-templatechoose'

	export default {
		data() {
			return {
				ctx: {},
				params: {
					sceneUrl:'场景分类',
					tplUrl: '模板url'
				}
			}
		},
		components: {
			templateChoose
		}
	}
</script>

```

#### 组件变更记录
##### 2017-10-16
- 修改传入参数统一模板url

